> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/apis/apis/catalyst/archipelago.md).

# Archipelago

This service is in charge of clustering users according to their position and assigning a connection string that will allow the user to connect to an specifig transport.

## List of islands

> Retrieves the list of communication islands in the server with details about the peers present in each island.

```json
{"openapi":"3.0.3","info":{"title":"API Specification for the Decentraland Catalyst Server (BETA)","version":"1.0"},"tags":[{"name":"Archipelago","description":"This service is in charge of clustering users according to their position and assigning a connection string that will allow the user to connect to an specifig transport."}],"servers":[{"url":"https://peer.decentraland.zone","description":"Catalyst Development instance"},{"url":"https://peer-testing.decentraland.org","description":"Catalyst Staging instance"},{"url":"https://peer.decentraland.org","description":"First production Catalyst node"}],"paths":{"/comms/islands":{"get":{"operationId":"getIslands","summary":"List of islands","tags":["Archipelago"],"description":"Retrieves the list of communication islands in the server with details about the peers present in each island.","responses":{"200":{"description":"List of Islands","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/islands"}}}}}}}},"components":{"schemas":{"islands":{"type":"object","properties":{"ok":{"type":"boolean"},"islands":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"peers":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"address":{"type":"string"},"parcel":{"type":"array","items":{"type":"number"}},"position":{"type":"array","items":{"type":"number"}},"lastPing":{"type":"number"},"preferedIslandId":{"type":"string"}}}},"maxPeers":{"type":"number"},"center":{"type":"array","items":{"type":"number"}},"radius":{"type":"number"}}}}}}}}}
```

## Island Details

> Retrieve information about the specified islandId

```json
{"openapi":"3.0.3","info":{"title":"API Specification for the Decentraland Catalyst Server (BETA)","version":"1.0"},"tags":[{"name":"Archipelago","description":"This service is in charge of clustering users according to their position and assigning a connection string that will allow the user to connect to an specifig transport."}],"servers":[{"url":"https://peer.decentraland.zone","description":"Catalyst Development instance"},{"url":"https://peer-testing.decentraland.org","description":"Catalyst Staging instance"},{"url":"https://peer.decentraland.org","description":"First production Catalyst node"}],"paths":{"/comms/islands/{islandId}":{"get":{"operationId":"getIsland","summary":"Island Details","tags":["Archipelago"],"description":"Retrieve information about the specified islandId","parameters":[{"in":"path","name":"islandId","required":true,"schema":{"type":"string"},"description":"ID of the Island. You can search for the list of islands using the /comms/islands endpoint."}],"responses":{"200":{"description":"Island details","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/islandId"}}}}}}}},"components":{"schemas":{"islandId":{"type":"object","properties":{"id":{"type":"string"},"peers":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"address":{"type":"string"},"parcel":{"type":"array","items":{"type":"number"}},"position":{"type":"array","items":{"type":"number"}},"lastPing":{"type":"number"},"preferedIslandId":{"type":"string"}}}},"maxPeers":{"type":"number"},"center":{"type":"array","items":{"type":"number"}},"radius":{"type":"number"}}}}}}
```

## List of peers

> Retrieves the list peers in the server with details about their positions and islands.

```json
{"openapi":"3.0.3","info":{"title":"API Specification for the Decentraland Catalyst Server (BETA)","version":"1.0"},"tags":[{"name":"Archipelago","description":"This service is in charge of clustering users according to their position and assigning a connection string that will allow the user to connect to an specifig transport."}],"servers":[{"url":"https://peer.decentraland.zone","description":"Catalyst Development instance"},{"url":"https://peer-testing.decentraland.org","description":"Catalyst Staging instance"},{"url":"https://peer.decentraland.org","description":"First production Catalyst node"}],"paths":{"/comms/peers":{"get":{"operationId":"getPeers","summary":"List of peers","tags":["Archipelago"],"description":"Retrieves the list peers in the server with details about their positions and islands.","responses":{"200":{"description":"List of Peers","content":{"application/json; charset=utf-8":{"schema":{"$ref":"#/components/schemas/peers"}}}}}}}},"components":{"schemas":{"peers":{"type":"object","properties":{"ok":{"type":"boolean"},"peers":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"address":{"type":"string"},"parcel":{"type":"array","items":{"type":"number"}},"position":{"type":"array","items":{"type":"number"}},"lastPing":{"type":"number"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decentraland.org/apis/apis/catalyst/archipelago.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
